POST
/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}/doneMark note done
Marks a note to be done on a contact if it was a resubmission
Required permissions:
mandate.read
contactNote.edit
Permissions depending on contact type:
contact:member
contact:address
contact:customer
contact:sponsor
contact:contributor
contact:employee
contact:supplier
Path Parameters
organizationIdstringrequired contactIdstringrequired noteIdstringrequired mandateIdstringrequired Authentication: X-API-Key
Request
POST/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}/done
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/notes/{noteId}/done' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
200
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
400
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
401
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
403
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
500
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}